\documentclass{article}
\usepackage{hyperref}

\title{WinRate Tracker}
\author{Benjamin Verner}
\date{February 2024}

\begin{document}

\maketitle

\section{Introduction}
The goal of this project is to create a console application that allows users to keep track of their results from tournaments (primarily focused on, but not limited to Magic, the Gathering). 

\section{Functionality Goals}
The application should provide means of entering new results, grouping existing results by tags (deck name, tournament format), querying based on various factors like tags and timestamps, modifying existing results, and showing statistics of the selected results (match and game win rate, learning curve, etc.). Those functionalities should not be complicated from the user side so that the application provides a desirable user interface.

Furthermore, it should also be able to back up the stored data via Google Sheets API (if an API key is provided).

\section{Used Technologies}
The primary programming language for this project is C\#. For local database access, the project will use the SQLite database engine along with Entity Framework Core for communication with it.

\section{Project Repository}
The repository for the project resides at this url address: \url{https://gitlab.com/benjamin.verner/winrate-tracker}.

\end{document}

